<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <OutputType>WinExe</OutputType>
        <TargetFramework>net8.0-windows</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <UseWPF>true</UseWPF>
    </PropertyGroup>

    <ItemGroup>
        <ProjectReference Include="..\DoomDeathmatch\DoomDeathmatch.csproj" />
        <ProjectReference Include="..\Engine\Engine.csproj"/>
    </ItemGroup>

    <ItemGroup>
        <ApplicationDefinition Include="src\App.xaml">
            <Generator>MSBuild:Compile</Generator>
            <XamlRuntime>Wpf</XamlRuntime>
            <SubType>Designer</SubType>
        </ApplicationDefinition>
    </ItemGroup>

    <ItemGroup>
        <Page Update="src\MainWindow.xaml">
            <Generator>MSBuild:Compile</Generator>
            <XamlRuntime>Wpf</XamlRuntime>
            <SubType>Designer</SubType>
        </Page>
    </ItemGroup>

</Project>
